package com.yuchen.saas.park.api.entity.approve;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.nest.springwrap.core.mp.base.BaseEntity;

import java.time.LocalDateTime;

/**
 * <p>
 * 装修审批处理记录表
 * </p>
 *
 * @author 洪铭铭
 * @since 2024-09-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("renovate_approval_handle_record")
@ApiModel(value="RenovateApprovalHandleRecord对象", description="装修审批处理记录表")
public class RenovateApprovalHandleRecord extends BaseEntity {


    @ApiModelProperty(value = "审批ID")
    @TableField("approval_id")
    private Long approvalId;

    @ApiModelProperty(value = "操作时间")
    @TableField("operate_time")
    private LocalDateTime operateTime;

    @ApiModelProperty(value = "操作类型")
    @TableField("operate_type")
    private String operateType;

    @ApiModelProperty(value = "操作人")
    @TableField("operate_user")
    private Long operateUser;

    @ApiModelProperty(value = "备注信息")
    @TableField("remark")
    private String remark;

    public Long getApprovalId() {
        return approvalId;
    }

    public void setApprovalId(Long approvalId) {
        this.approvalId = approvalId;
    }

    public LocalDateTime getOperateTime() {
        return operateTime;
    }

    public void setOperateTime(LocalDateTime operateTime) {
        this.operateTime = operateTime;
    }

    public String getOperateType() {
        return operateType;
    }

    public void setOperateType(String operateType) {
        this.operateType = operateType;
    }

    public Long getOperateUser() {
        return operateUser;
    }

    public void setOperateUser(Long operateUser) {
        this.operateUser = operateUser;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
